local fn = _gn(0x1FD09E7390A74D54)
--- Sets the vehicle headlight shadow flags.
-- ```
-- NativeDB Introduced: v323
-- ```
-- ```cpp
-- enum eVehicleHeadlightShadowFlags {
-- // Default (Lights can be toggled between off, normal and high beams)
-- NO_HEADLIGHT_SHADOWS = 0,
-- // Lights Disabled (Lights are fully disabled, cannot be toggled)
-- HEADLIGHTS_CAST_DYNAMIC_SHADOWS = 1,
-- // Always On (Lights can be toggled between normal and high beams)
-- HEADLIGHTS_CAST_STATIC_SHADOWS = 2,
-- HEADLIGHTS_CAST_FULL_SHADOWS = 3
-- };
-- ```
-- @param vehicle The target vehicle.
-- @param flag A value from `eVehicleHeadlightShadowFlags` representing the desired headlight shadow flag.
function Global.SetVehicleLightsMode(vehicle, flag)
	return _in2(fn, vehicle, flag)
end
